New version of TeradataAsterR package for R version 3.5.x?

Aster R
Fan

New version of TeradataAsterR package for R version 3.5.x?

Does anyone know if there are plans to release a version of TeradataAsterR package that runs on R version 3.5.x? The current version of TeradataAsterR 07.00.02.01 fails to load with error message 

package ‘TeradataAsterR’ was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Apparently, with version 3.5.x, R changed a lot in its internals, which requires pretty much all packages to be recompiled in order to work.

Thanks!

 

4 REPLIES
Moderator

Re: New version of TeradataAsterR package for R version 3.5.x?

Hi AlexB,

 

Thank you for your inquiry.

 

We have seek the assistance from our experts regarding your concern. They mentioned that there are no new version of AsterR. The new version of R is not supported on SLES11 - it needs to be SLES12 on Appliance. May we know what version of Aster DB are you running?

With the launch of Teradata Vantage, we are now focusing on R support with RStudio in Vantage.

Fan

Re: New version of TeradataAsterR package for R version 3.5.x?

Thanks for your reply, and sorry for the confusion. 

 

My question is not about running R on Teradata Instance. The question is about attempting to use AsterR package with R version 3.5.1 on a Windows client machine.

 

Before I even attempt to connect to Aster instance, I have to load AsterR package with R command 

library(TeradataAsterR)

which fails with the above mentioned error message on R version 3.5.x (it still loads, for example, on R version 3.3.1).

 

To put it bluntly, TeradataAsterR library does not load on client machines with R version 3.5.x regardless of the version/flavor of Aster one intents to connect to.

 

So, I was asking if there were any plans to provide a recompiled version of TeradaraAsterR library that would load on R version 3.5.x on windows client machines. 

 

Thanks!

 

Teradata Employee

Re: New version of TeradataAsterR package for R version 3.5.x?

I forgot to mention. Teradata just released a new Teradata R Package as analytics library for R Clients. It is called tdplyr and works with dplyr, dbplyr and teradata odbc driver. You can download it from https://downloads.teradata.com/ More info can be found at https://docs.teradata.com/ (look for Teradata R Package). It requires a Teradata Vantage backend which you may not have yet. But do check it out.

Highlighted
Teradata Employee

Re: New version of TeradataAsterR package for R version 3.5.x?

Hi AlexB,

 

My first reply post didn't register. So I'm repeating it here with additional info.

 

Sorry, there are currently no plans to release a new version of Aster R package specifically for R 3.5.x compatibility.

 

Thanks.. jeff